View Issue Details

IDProjectCategoryView StatusLast Update
15757Bug reportsSurvey editingpublic2020-01-28 17:38
Reportertpartner Assigned Touser204295 
PrioritynoneSeveritypartial_block 
Status closedResolutionfixed 
Product Version4.0.x 
Target Version4.0.x 
Summary15757: 403 error when deleting questions
Description

Deleting a question results in a 403 error.

See screen-cast - https://screencast-o-matic.com/watch/cYV0lbv8x6

TagsNo tags attached.
Complete LimeSurvey version number (& build)4.0.1
I will donate to the project if issue is resolvedNo
BrowserN/A
Database & DB-Versionmysqlnd 5.0.12
Server OS (if known)Windows 10
Webserver software & version (if known)Apache/2.4.39 (Win64)
PHP Version7.3.7

Activities

user204295

2020-01-28 11:44

  ~55495

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=29455

lime_release_bot

lime_release_bot

2020-01-28 17:38

administrator   ~55531

Fixed in Release 4.1.0+200128

Related Changesets

LimeSurvey: master 25fa7f6e

2020-01-27 15:13:39

user204295

Details Diff
Fixed issue 15757: 403 error when deleting questions Affected Issues
15757
mod - application/controllers/admin/questions.php Diff File

Issue History

Date Modified Username Field Change
2020-01-23 14:40 tpartner New Issue
2020-01-23 14:40 tpartner Status new => assigned
2020-01-23 14:40 tpartner Assigned To => cdorin
2020-01-28 11:44 user204295 Changeset attached => LimeSurvey master 25fa7f6e
2020-01-28 11:44 user204295 Note Added: 55495
2020-01-28 11:44 user204295 Assigned To cdorin => user204295
2020-01-28 11:44 user204295 Resolution open => fixed
2020-01-28 17:38 lime_release_bot Note Added: 55531
2020-01-28 17:38 lime_release_bot Status assigned => closed